LINUX.ORG.RU

Qt Creator && Qt5

 , ,


0

1

Ubuntu 12.10, установил ubuntu-sdk по этому руководству: http://developer.ubuntu.com/get-started/gomobile/. До этого была установлена обычная версия QtCreator из репозитория. После чего скачал эти исходники https://code.launchpad.net/~phablet-team/gallery-app/trunk, решил скомпилировать дабы посмотреть на работу галлереи.

Но тут незадача. При компиляции ругается что не может найти: /gallery-app/src/gallery-application.cpp:20: error: QQuickItem: No such file or directory. Посмотрел, этот заголовочный файл есть в директории includes с qt5, но так как с QtCreator никогда дела не имел(да и опыт работы с С++ и Qt в частности более чем скромный) не понял, как можно указать использовать Qt5 для компиляции.

Так что вопрос: как указать QtCreator использовать Qt5 для компиляции? в частности скомпилировать gallery app, если кто уже сталкивался с этим

Инструменты->Параметры->Сборка и запуск->Профили Qt.

Дальше создаешь профиль и указываешь путь к qmake от Qt5.

А вообще, гугл тоже наверняка об этом знает.

solovey ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.